petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPLSQRMonitorDefault

Print the residual norm at each iteration of the LSQR method and the norm of the residual of the normal equations A'*A x = A' b

### Synopsis

    PetscErrorCode  KSPLSQRMonitorDefault(KSP ksp,PetscInt n,PetscReal rnorm,PetscViewerAndFormat *dummy)

Collective on KSP Many br

### Input Parameters

| ksp | - iterative context Many br
| n | - iteration number Many br
| rnorm | - 2-norm (preconditioned) residual value (may be estimated). Many br
| dummy | - viewer and format context Many br

Many br

### Keywords

KSP, default, monitor, residual

### See Also

KSPMonitorSet(), KSPMonitorTrueResidualNorm(), KSPMonitorLGResidualNormCreate(), KSPMonitorDefault()

Level:intermediate
Location:src/ksp/ksp/impls/lsqr/lsqr.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages